View Issue Details

IDProjectCategoryView StatusLast Update
0000098Composrcore_form_interfacespublic2017-04-08 16:30
ReporterChris GrahamAssigned To 
Severityfeature 
Status non-assignedResolutionopen 
Product Version 
Fixed in Version 
Summary0000098: Cascaded form inputter
DescriptionImplement a new form field that has linked lists of data - e.g. you pick a state, then you can pick a city from that state.

Power by initiating with a JSON object of nested data, each nesting level represents a form input.
If there's no Javascript, pass in a permuted list.
TagsNo tags attached.
Attach Tags
Time estimation (hours)5
Sponsorship open

Relationships

related to 0003120 resolvedChris Graham Add location & eCommerce field types 
parent of 0001079 non-assigned Cascaded form inputter driven by catalogue references 
related to 0003161 non-assigned Intelligent post code input 
related to 0003160 non-assigned Address auto-completion 
related to 0003159 non-assigned Telephone field input 
Not all the children of this issue are yet resolved or closed.

Activities

Chris Graham

2013-01-21 16:19

administrator   ~0001150

Note that we mostly have this as a non-bundled v10 addon. It's powered by CSV files, not json.

It works for CPFs, but could be extended to work with catalogues too.

Issue History

Date Modified Username Field Change
2017-03-26 11:26 Chris Graham Relationship added related to 0003120
2017-03-26 11:38 Chris Graham Relationship added related to 0003161
2017-03-26 11:39 Chris Graham Relationship added related to 0003160
2017-03-26 11:39 Chris Graham Relationship added related to 0003159